#include	<stdio.h>
#include	<stdlib.h>
#include	"piclib.h"

void main(int argc, char *argv[])
{
	PicData	*in, *out;
	Pixel pixel[2048];
	int i;
	if (argc < 4) {
		printf("piccopy <infile> <outfile> <mode>\n");
		exit(1);
	}
	if ((in = PicReadOpen(argv[1])) == NULL) {
		printf("Open Error(%s)!\n", argv[1]);
		exit(1);
	}
	if ((out = PicWriteOpen(argv[2], in->pixelX, in->pixelY, atoi(argv[3]))) == NULL) {
		printf("Open Error(%s)\n", argv[2]);
		exit(2);
	}
	for (i = in->pixelY; i > 0; --i) {
		PicInputLine(in, pixel);
		PicOutputLine(out, pixel);
	}
	PicClose(in);
	PicClose(out);
}

